qubeKey: source-trustpilot
name: source-trustpilot
type: airbyte-source
id: source-trustpilot
maturity: alpha
ui:
  icon: '<svg width="250" height="250" viewBox="0 0 250 250" fill="none" xmlns="http://www.w3.org/2000/svg">

    <g clip-path="url(#clip0_3005_6223)">

    <path d="M233.439 100.727H150.407L124.76 22L99.0324 100.727L16 100.647L83.2434
    149.353L57.5162 228L124.76 179.374L191.923 228L166.276 149.353L233.439 100.727Z"
    fill="#00B67A"/>

    <path d="M172.047 167.158L166.276 149.353L124.76 179.374L172.047 167.158Z" fill="#005128"/>

    </g>

    <defs>

    <clipPath id="clip0_3005_6223">

    <rect width="218" height="206" fill="white" transform="translate(16 22)"/>

    </clipPath>

    </defs>

    </svg>

    '
  shortDescription: api
  description: ''
  links:
  - linkName: Documentation
    url: https://docs.airbyte.com/integrations/sources/trustpilot
properties:
  type: object
  title: Trustpilot Spec
  schema: http://json-schema.org/draft-07/schema#
  required:
  - credentials
  - business_units
  - start_date
  properties:
    start_date:
      type: string
      title: Start Date
      pattern: ^[0-9]{4}-[0-9]{2}-[0-9]{2}T[0-9]{2}:[0-9]{2}:[0-9]{2}Z$
      examples:
      - '%Y-%m-%dT%H:%M:%S'
      description: For streams with sync. method incremental the start date time to
        be used
    credentials:
      type: object
      oneOf:
      - type: object
        title: OAuth 2.0
        required:
        - client_id
        - client_secret
        - refresh_token
        - access_token
        - token_expiry_date
        properties:
          auth_type:
            type: string
            const: oauth2.0
          client_id:
            type: string
            title: API key
            description: The API key of the Trustpilot API application. (represents
              the OAuth Client ID)
            airbyte_secret: true
          access_token:
            type: string
            title: Access Token
            description: Access Token for making authenticated requests.
            airbyte_secret: true
          client_secret:
            type: string
            title: Secret
            description: The Secret of the Trustpilot API application. (represents
              the OAuth Client Secret)
            airbyte_secret: true
          refresh_token:
            type: string
            title: Refresh token
            description: The key to refresh the expired access_token.
            airbyte_secret: true
          token_expiry_date:
            type: string
            title: Token expiry date time
            format: date-time
            description: The date-time when the access token should be refreshed.
      - type: object
        title: API Key
        required:
        - client_id
        properties:
          auth_type:
            type: string
            const: apikey
          client_id:
            type: string
            title: API key
            description: The API key of the Trustpilot API application.
            airbyte_secret: true
        description: The API key authentication method gives you access to only the
          streams which are part of the Public API. When you want to get streams available
          via the Consumer API (e.g. the private reviews) you need to use authentication
          method OAuth 2.0.
      order: 0
      title: Authorization Method
    business_units:
      type: array
      items:
        type: string
      title: Business Unit names
      examples:
      - mydomain.com
      - www.mydomain.com
      description: The names of business units which shall be synchronized. Some streams
        e.g. configured_business_units or private_reviews use this configuration.
schemaType: {}
